修复 FireFox 67.0 版本问题的 6.2-7.0 CUBA 维护版本发布


#1

update
大家好!
Firefox 67.0 发布了一个破坏性的改动:会重写任何 u2f 变量。这个改动会使得很多 Vaadin 和 GWT 的应用程序出现问题,因为前端代码压缩器会使用 u2f 作为函数或者变量名。我们因此发布以下版本的更新维护版:

  • 6.2.10
  • 6.3.8
  • 6.4.7
  • 6.5.10
  • 6.6.8
  • 6.7.15
  • 6.8.18
  • 6.9.10
  • 6.10.10
  • 7.0.7

上面这些版本都包含了针对 Firefox 67.0+ 的修复:

  • Override reserved globals for Firefox 67 #2146.

如果要检查您的应用程序是否受该问题的影响,可以按照以下步骤:

  1. 打开 Developer Tools - 开发者工具
  2. 切换至 Sources 标签页
  3. 打开 ...WidgetSet-0.js (可能会有不同的名称)
  4. 搜索 u2f (参考下面的结果)

如果找到了 u2f,那么 请尽快升级您的服务

请注意 U2fu2F 也是正确的名称。